Bug 88437 - [BDW/SKL/BSW/BXT-P/KBL] [IGT] drv_missed_irq_hang fails
Summary: [BDW/SKL/BSW/BXT-P/KBL] [IGT] drv_missed_irq_hang fails
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: highest normal
Assignee: Humberto Israel Perez Rodriguez
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
: 88818 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-01-15 05:22 UTC by lu hua
Modified: 2016-08-22 21:17 UTC (History)
2 users (show)

See Also:
i915 platform: BDW, BSW/CHT, BXT, SKL
i915 features: GEM/Other


Attachments
dmesg (121.80 KB, text/plain)
2015-01-15 05:22 UTC, lu hua
no flags Details
dmesg (220.97 KB, text/plain)
2016-02-19 13:41 UTC, Rami
no flags Details
dmesg-bsw (47 bytes, text/plain)
2016-02-25 16:36 UTC, cprigent
no flags Details
dmesg-skl (60.70 KB, text/plain)
2016-02-25 16:36 UTC, cprigent
no flags Details
drv_missed_irq_hang (106.49 KB, text/plain)
2016-05-12 18:24 UTC, maria guadalupe
no flags Details
kbl-dmesg-drv_missed_irq_hang (205.29 KB, text/plain)
2016-05-13 12:30 UTC, cprigent
no flags Details
kbl-output-drv_missed_irq_hang (1.00 KB, text/plain)
2016-05-13 12:30 UTC, cprigent
no flags Details
APL-drv_missed_irq_hang-kern.log (278.04 KB, text/plain)
2016-05-17 10:57 UTC, cprigent
no flags Details
APL-output-drv_missed_irq_hang (744 bytes, text/plain)
2016-05-17 10:57 UTC, cprigent
no flags Details
[PATCH] tests/drv_missed_irq_hang: Fix gem_blt path (1.13 KB, patch)
2016-06-13 13:22 UTC, Mika Kuoppala
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2015-01-15 05:22:50 UTC
Created attachment 112264 [details]
dmesg

==System Environment==
--------------------------
Regression: not sure, it has bug 87577

Non-working platforms:  BDW

==kernel==
--------------------------
drm-intel-nightly/95cce4b4c5f3ecaf9c1c01d42f670da2748fcffb
commit 95cce4b4c5f3ecaf9c1c01d42f670da2748fcffb
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Jan 14 20:58:31 2015 +0100

    drm-intel-nightly: 2015y-01m-14d-19h-58m-09s UTC integration manifest

==Bug detailed description==
-----------------------------
It fails on BDW with -nightly and -queued kernel. It doesn't happen on -fixes kernel.

[root@x-bdw01 tests]# ./drv_missed_irq_hang
Interrupts masked
missed interrupts undetected
[root@x-bdw01 tests]# echo $?
1

==Reproduce steps==
---------------------------- 
1. ./drv_missed_irq_hang
Comment 1 Chris Wilson 2015-01-15 07:51:45 UTC
Request-over-execlist support is incomplete.
Comment 2 Rodrigo Vivi 2015-01-20 00:21:07 UTC
It seems fixed on latest -nightly. Could you please retest?
Comment 3 lu hua 2015-01-20 02:07:11 UTC
Test on the latest -nightly kernel(drm-intel-nightly_be0b52_20150119) and igt commit 20d6e0f41b, it still fails.
output:
root@x-bdwh01:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# ./drv_missed_irq_hang
Interrupts masked
missed interrupts undetected
root@x-bdwh01:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# echo $?
1
Comment 4 ye.tian 2015-04-01 02:26:20 UTC
Tested on the latest nightly kernel(drm-intel-nightly_d72ff1_20150401) and igt commit (2f0e3cd), it still fails.
It aslo fails on the drm-intel-fixes_ee73c6_20150331.

output:
------------------------------------------
 ./drv_missed_irq_hang
Interrupts masked
gem_exec_blt: igt_core.c:443: common_exit_handler: Assertion `sig != 0 || igt_exit_called' failed.
./drv_missed_irq_hang: line 13:  4755 Aborted                 (core dumped) $SOURCE_DIR/gem_exec_blt 16384
gem_exec_blt: igt_core.c:443: common_exit_handler: Assertion `sig != 0 || igt_exit_called' failed.
./drv_missed_irq_hang: line 13:  4758 Aborted                 (core dumped) $SOURCE_DIR/gem_exec_blt 65536
gem_exec_blt: igt_core.c:443: common_exit_handler: Assertion `sig != 0 || igt_exit_called' failed.
./drv_missed_irq_hang: line 13:  4761 Aborted                 (core dumped) $SOURCE_DIR/gem_exec_blt 262144
missed interrupts undetected
root@x-bdw01:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# echo $?
1
Comment 5 Chris Wilson 2015-04-02 21:00:10 UTC
igt/drv_missed_irq_hang was broken recently, please retest.
Comment 6 ye.tian 2015-04-03 05:22:57 UTC
This issue still exists on the latest nightly kernel(333cf6).
igt version: e8457ed
igt/gem_exec_blt: Prevent assertion failure when running as a test load

output:
--------
root@x-bdw01:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# ./drv_missed_irq_hang
Interrupts masked
missed interrupts undetected
root@x-bdw01:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# echo $?
1
Comment 7 lu hua 2015-04-07 02:47:21 UTC
It also fails on SKL.
Comment 8 Jani Nikula 2015-08-18 13:06:54 UTC
*** Bug 88818 has been marked as a duplicate of this bug. ***
Comment 9 cprigent 2015-10-06 14:09:12 UTC
Reproduced on SKL-Y with fresh setup:

Hardware
Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D0 2+2 (ou ULX-D1)
QDF : QJA4 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories 

Software 
Linux distribution: Ubuntu 14.04 LTS 64 bits 
Kernel: drm-intel-nightly bf2dbbc 4.3.0-rc2 from git://anongit.freedesktop.org/drm-intel
BIOS : SKLSE2R1.R00.X093.B02.1507222151
ME FW : 11.0.0.1163
Ksc (EC FW): 1.16
Mesa - 10.6.7
xf86-video-intel - 2.99.917
Libdrm - 2.4.64
Libva - 1.6.1
vaapi intel-driver - 1.6.1
Cairo - 1.14.2
Xorg Xserver - 1.17.2
Comment 10 cprigent 2015-10-26 16:02:59 UTC
Reproduced on BSW-M:

Platform: Braswell M
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW D0
QDF : K6XC
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All 
Feature Reworks: F28, F32, F33, F35, F37
Optional reworks : O-01a; O-02, O-03
Software
BIOS : BRAS.X64.B084.R00.1508310642
TXE FW : 2.0.0.2073
Ksc : 1.08
Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc5-drm-intel-nightly+ (f14b17b) from git://anongit.freedesktop.org/drm-intel
commit f14b17b8639fb680c672d3d2f8d6414fcf0f82c4
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Oct 16 19:27:49 2015 +0200
drm-intel-nightly: 2015y-10m-16d-17h-27m-10s UTC integration manifest
Mesa master commit 6f3954618b0fe273af76af79ce9ec56566b79b2a from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 11 cprigent 2015-11-01 16:19:58 UTC
Not reproduced on BSW-M with last setup.
Let's check on the other platforms before closing it.

Platform: Braswell M
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW D0
QDF : K6XC
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All 
Feature Reworks: F28, F32, F33, F35, F37
Optional reworks : O-01a; O-02, O-03
Software
BIOS : BRAS.X64.B084.R00.1508310642
TXE FW : 2.0.0.2073
Ksc : 1.08
Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc6-drm-intel-nightly+ (ab48d30) from git://anongit.freedesktop.org/drm-intel
commit ab48d308f2fe5a8ad3d2fd57d313e74995cf1c20 Author: Daniel Vetter <daniel.vetter@ffwll.ch> Date: Fri Oct 23 12:03:04 2015 +0200 drm-intel-nightly: 2015y-10m-23d-10h-02m-25s UTC integration manifest
Mesa 11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 12 Rami 2015-11-19 14:40:01 UTC
Regression this test fail with last setup:
Hardware:
Platform: Braswell M 
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW C0
QDF : K6XC
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All Feature Reworks: F28, F32, F33, F35, F37
Optional reworks : O-01a; O-02, O-03 

Software:
Linux distribution: Ubuntu 15.04 LTS 64 bits 
BIOS : BRAS.X64.B084.R00.1508310642
TXE FW : 2.0.0.2073
Ksc : 1.08
kernel  drm-intel-nightly: 2015y-11m-12d-15h-35m-53s UTC integration manifest
commit 4c2531304c0a2f36f6b2cce2add5b5b2bd3fd893
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Thu Nov 12 17:36:12 2015 +0200
cairo: (HEAD, tag: 1.14.2) 93422b3cb5e0ef8104b8194c8873124ce2f5ea2d from git://git.freedesktop.org/git/cairo
drm: (HEAD, tag: libdrm-2.4.65, tag: 2.4.65) c3496167637e35cf8a52d5e7e53a412e79d80db0 from git://git.freedesktop.org/git/mesa/drm
intel-driver: (HEAD, tag: 1.6.1, origin/v1.6-branch) 35858c69166b845c59ca32e19a3dbb0b758df209 from git://git.freedesktop.org/git/vaapi/intel-driver
libva: (HEAD, tag: libva-1.6.1, origin/v1.6-branch) 613eb962b45fbbd1526d751e88e0d8897af6c0e0 from git://git.freedesktop.org/git/vaapi/libva
mesa: (HEAD, tag: mesa-11.0.5) ee57c22141c42d9b511a7dfa5971c4428cd1c6e7 from git://git.freedesktop.org/git/mesa/mesa
xf86-video-intel: (HEAD, tag: 2.99.917) baec802b21387d04aebb10ac29e719a1800c5aa0 from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
xserver: (HEAD, tag: xorg-server-1.17.2) 2123f7682d522619f101b05fb75efa75dabbe371 from git://git.freedesktop.org/git/xorg/xserver

* Tools *
intel-gpu-tools: (HEAD, origin/master, origin/HEAD, master) e42936d86b52c6804da41755df7155cafded5eb2 from git://git.freedesktop.org/git/xorg/app/intel-gpu-tools
Comment 13 Elio 2015-11-26 18:44:02 UTC
This test is not failing with latest nightly kernel
4.4.0-rc1-nightly+
Ubuntu 15.04
Output:
./drv_missed_irq_hang
Interrupts masked
Interrupts unmasked
Cleared missed interrupts
Comment 14 cprigent 2015-11-27 17:01:55 UTC
Test is fail on SKL-Y with kernel tag drm-intel-testing-2015-11-20.

Motherboard: Skylake Y
cpu model name	: Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz
cpu model : 78
cpu family : 6
Graphic card: Device 191e (rev 07) 
Software:
Kernel: tag drm-intel-testing-2015-11-20 5074e51ef3a2b0ad4c2354e95aec5380a93966b3 (4.4-rc1) from git://anongit.freedesktop.org/drm-intel
Ubuntu 14.04.2 LTS
Bios: SKLSE2R1.R00.B104.B01.1511110114
Comment 15 cprigent 2015-12-09 15:23:25 UTC
Test is fail on BSW-M with Q4 stack release.

Hardware:
Motherboard: Braswell CRB
cpu model name : Intel(R) Celeron(R) CPU N3060 @ 1.60GHz
cpu model : 76
cpu family : 6
Graphic card: Device 22b1 (rev 31)
Software:
Linux distribution: Ubuntu 15.10 LTS 64 bits
Kernel: 4.3 mainline from https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/log/?id=refs/tags/v4.3
Bios BRAS.X64.B088.R00.1510270350
xorg-server-1.18.0 from http://cgit.freedesktop.org/xorg/xserver
libdrm-2.4.65 from http://cgit.freedesktop.org/mesa/drm/
xf86-video-intel 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
mesa-11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
libva-1.6.2.pre1 from http://cgit.freedesktop.org/libva/
vaapi-intel-driver 1.6.2.pre1 from http://cgit.freedesktop.org/vaapi/intel-driver
cairo 1.14.4 from http://cgit.freedesktop.org/cairo
Comment 16 Chris Wilson 2015-12-10 14:55:44 UTC
The most recent debug output is from the broken test. We have nothing that describes the bsw/skl runs.
Comment 17 Chris Wilson 2015-12-10 15:34:00 UTC
Interesting side-effect with runtime suspend cancelling hangcheck can mean it will miss stuck waiters.
Comment 18 cprigent 2016-01-17 21:33:47 UTC
Fail on a SKL production device.

Dell Inspiron 15 7000 2-1
Intel Core (TM) i7 CPU @ 6500 2.5
Intel HD Graphics
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.4.0-rc8 8834392 from http://cgit.freedesktop.org/drm-intel/
libdrm-2.4.66 from http://cgit.freedesktop.org/mesa/drm/
xf86-video-intel 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
mesa-11.0.8 from http://cgit.freedesktop.org/mesa/mesa/
libva-1.6.2 from http://cgit.freedesktop.org/libva/
intel-driver 1.6.2 from http://cgit.freedesktop.org/vaapi/intel-driver
cairo 1.15.2 from http://cgit.freedesktop.org/cairo
IGT 1.13 cd658a7c6bca74eb897a8ae87751029793f0c4f4 from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/
DMC 1.23 and GUC 4.3 firmware from https://01.org/linuxgraphics/intel-linux-graphics-firmwares

Assigned to Humberto to provide IGT output and kernel log.
Comment 19 Rami 2016-02-19 13:41:49 UTC
Created attachment 121842 [details]
dmesg

Fail on BXT with last setup:

Platform: Broxton P A0 Platform
CPU Name : Intel(R) @ 1.2 GHz (family: 6, model: 92, stepping: 8) – 4 cores
SoC : BROXTON-P A0
CRB : Apollo Lake LPDDR3 RVP2B
Reworks : R17, R18, PNP3

Software:
=========
BIOS (IFWI Version): APLK_IFWI_X64_R_2015_44_3_00
KSC : 1.05
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly: 2016y-02m-16d-17h-53m-05s UTC integration manifest
commit bd0b1a9aa8b7fdb2e06a5cbf1756ef93de2fa3fd
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Tue Feb 16 18:53:28 2016 +0100
http://cgit.freedesktop.org/drm-intel/
drm: tag libdrm-2.4.66 9b77443 from http://cgit.freedesktop.org/mesa/drm/
mesa: tag mesa-11.1.1 330aa44from http://cgit.freedesktop.org/mesa/mesa/
cairo: tag 1.15.2 db8a7f1 from http://cgit.freedesktop.org/cairo
waffle: master bb29b2a from https://github.com/waffle-gl/waffle
xorg-server-macros: master d7acec2 from git://git.freedesktop.org/git/xorg/util/macros
libva: tag libva-1.6.1 1f026de from http://cgit.freedesktop.org/libva/
vaapi-intel-driver: tag 1.6.1 f6fe842 from http://cgit.freedesktop.org/vaapi/intel-driver


Tools
intel-gpu-tool: tag intel-gpu-tools-1.13 0a45d6b from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/

Actual result:
===============
./drv_missed_irq_hang
Interrupts masked
missed interrupts undetected
Comment 20 cprigent 2016-02-25 16:36:25 UTC
Created attachment 121963 [details]
dmesg-bsw

Tested again on BSW and SKL.
Test returns:
Interrupts masked
missed interrupts undetected

attached dmesg


Platform: Braswell M
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW D0
QDF : K6XC
CRB : BRASWELL RVP Fab2

Platform: SKY LAKE Y A0 QUAL
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78 stepping: 3)
MCP : SKL-Y D1 2+2 (ou ULX-D1)
QDF : QJK9
CPU : SKL D0
Chipset PCH: Sunrise Point LP C0
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2

Software
Linux OS: Ubuntu 15.04 64 bits
BIOS : BRAS.X64.B088.R00.1510270350
TXE FW : 2.0.0.2093
Ksc : 1.08
  kernel 4.5.0-rc5 08fc1b1 from from http://cgit.freedesktop.org/drm-intel
  commit 08fc1b101049694778bff7559e1d05250d2e7072
  Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
  Date: Mon Feb 22 19:31:15 2016 +0200
  drm-intel-nightly: 2016y-02m-22d-17h-30m-27s UTC integration manifest
drm: tag libdrm-2.4.66 9b77443 from http://cgit.freedesktop.org/mesa/drm/
IGT 1.13 babcf40 from https://cgit.freedesktop.org/xorg/app/intel-gpu-tools/
One eDP connected
Comment 21 cprigent 2016-02-25 16:36:52 UTC
Created attachment 121964 [details]
dmesg-skl
Comment 22 Chris Wilson 2016-03-02 10:34:01 UTC
commit a3de0bc9df07918d08298d954127f07085a086e5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Mar 2 10:11:14 2016 +0000

    tests/drv_missed_irq_hang: Wait harder
    
    Improve the busy-load for triggering a wait-on-interrupt and check for
    extraneous missed-interrupts before and after our tests.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=88437
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

Please retest.
Comment 23 maria guadalupe 2016-04-01 19:17:53 UTC
This bug was also reproduced on BXT under the following configuration


Hardware configuration
=======================
Platform     BXT - P (APL)
Motherboard model  Apollo Lake
Motherboard type    NOTEBOOK Hand Held
Motherboard manufacturer Intel Corp.
CPU family   Other
CPU information    06/5c
GPU Card     Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])
Memory ram   8 GB


Software configuration
=======================
 --> Component : drm 
       url : http://cgit.freedesktop.org/mesa/drm 
       tag : libdrm-2.4.67-11-gea78c17 
       commit : ea78c17 
       author : Emil Velikov <emil.l.velikov@gmail.com> 
       age : 20 hours ago 
 --> Component : mesa 
       url : http://cgit.freedesktop.org/mesa/mesa 
       tag : mesa-11.1.2 
       commit : 7bcd827 
       author : Emil Velikov <emil.velikov@collabora.com> 
       age : 7 weeks ago 
 --> Component : xf86-video-intel 
       url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
       tag : 2.99.917-590-g094924f 
       commit : 094924f 
       author : Chris Wilson <chris@chris-wilson.co.uk> 
       age : 4 days ago 
 --> Component : libva 
       url : http://cgit.freedesktop.org/libva/ 
       tag : libva-1.7.0-1-g2339d10 
       commit : 2339d10 
       author : Xiang Haihao <haihao.xiang@intel.com> 
       age : 13 days ago 
 --> Component : vaapi (intel-driver) 
       url : http://cgit.freedesktop.org/vaapi/intel-driver 
       tag : 1.7.0-5-g759e44d 
       commit : 759e44d 
       author : peng.chen <peng.c.chen@intel.com> 
       age : 13 days ago 
 --> Component : cairo 
       url : http://cgit.freedesktop.org/cairo 
       tag : 1.15.2 
       commit : db8a7f1 
       author : Bryce Harrington <bryce@osg.samsung.com> 
       age : 4 months ago 
 --> Component : xserver 
       url :  http://cgit.freedesktop.org/xorg/xserver 
       tag : xorg-server-1.18.0-254-g44e1c97 
       commit : 44e1c97 
       author : Olivier Fourdan <ofourdan@redhat.com> 
       age : 8 days ago 
 --> Component : intel-gpu-tools 
       url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
       tag : intel-gpu-tools-1.14-129-g41a26b5 
       commit : 41a26b5 
       author : Chris Wilson <chris@chris-wilson.co.uk> 
       age : 26 hours ago  


kernel configuration
=====================
Branch : drm-intel-nightly
commit f5d413cccefa1f93d64c34f357151d42add63a84
Author: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Date:   Thu Mar 24 14:35:16 2016 +0000

    drm-intel-nightly: 2016y-03m-24d-14h-34m-29s UTC integration manifest
Kernel version : 4.5.0
Architecture : source amd64 all
Comment 24 yann 2016-04-29 10:59:21 UTC
Milestone criteria blocker so increasing priority
Comment 25 Jani Nikula 2016-05-04 09:35:17 UTC
(In reply to maria guadalupe from comment #23)
> This bug was also reproduced on BXT under the following configuration

There was a candidate fixed applied to igt previously, please provide logs for the latest attempt.
Comment 26 Chris Wilson 2016-05-04 09:45:02 UTC
Note that there is an issue with rpm as well:

https://cgit.freedesktop.org/~ickle/linux-2.6/commit/?h=tasklet&id=7a0c211ca7f95a3acc3b3ba48898f56bac7c604b
Comment 27 yann 2016-05-09 18:37:37 UTC
Maria, please check last 2 comments and can you provide log then?
thanks
Comment 28 maria guadalupe 2016-05-12 18:21:21 UTC
The issue is not seen in BXT platform with this configuration 

 === Software information ===	
Kernel version	4.6.0-rc7-drm-intel-nightly-ww20-commit-dd7de1c+
Linux distribution	Ubuntu 15.10
Architecture	64-bit
xf86-video-intel version	2.99.917
Xorg-Xserver version	1.18.99.1
DRM version	2.4.67
Cairo version	1.15.2
Intel GPU Tools commit version	1e9a3ac
Bios revision	129.1
KSC revision	1.12
	
 === Hardware information ===	
Platform	BXT-P
Motherboard model	Broxton P
Motherboard type	NOTEBOOK Hand Held
Motherboard manufacturer	Intel Corp.
CPU family	Other
CPU information	06/5c
GPU Card	Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])

commit dd7de1cfa8bdf1878399474b92ff14f89fc18c69
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu May 12 14:30:01 2016 +0300

    drm-intel-nightly: 2016y-05m-12d-11h-29m-40s UTC integration manifest


Kernel version : 4.6.0-rc7
Architecture : source amd64 all
Homepage : http://www.kernel.org/

test output
=============================

Interrupts masked
Interrupts unmasked
Cleared missed interrupts

Please see tha attachment "drv.log"
Comment 29 maria guadalupe 2016-05-12 18:24:02 UTC
Created attachment 123653 [details]
drv_missed_irq_hang
Comment 30 cprigent 2016-05-13 12:30:02 UTC
Created attachment 123673 [details]
kbl-dmesg-drv_missed_irq_hang

drv_missed_irq_hang is fail on KBL.
See kbl-dmesg-drv_missed_irq_hang and kbl-output-drv_missed_irq_hang attached.

Hardware
Platform: KABY LAKE-U
CPU : Intel(R) Core(TM) @ 2.60GHz
MCP : KBL-U G0 2+2 (ou ULT-G0)
QDF : QYQ8
Chipset PCH: SPT-LP C1
CRB : KABY LAKE U DDR3L RVP7 CRB FAB1

Software
BIOS : KBLSE2R1.R00.X015.B01.1511271314
ME FW : 11.5.0.1008
Ksc (EC FW): 1.20
Linux distribution: Ubuntu 15.10 64 bits
kernel drm-intel-nightly 4.6.0-rc7 61f856f from http://cgit.freedesktop.org/drm-intel/
  commit 61f856faa1e6ff9dddad214be1e372e8aacfc0f4
  Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
  Date:   Mon May 9 19:24:21 2016 +0300
  drm-intel-nightly: 2016y-05m-09d-16h-24m-01s UTC integration manifest
libdrm-2.4.68 fc09c5a from git://anongit.freedesktop.org/mesa/drm
cairo: 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
IGT 1.14 cc24755 from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git
Comment 31 cprigent 2016-05-13 12:30:28 UTC
Created attachment 123674 [details]
kbl-output-drv_missed_irq_hang
Comment 32 cprigent 2016-05-17 10:57:31 UTC
Created attachment 123821 [details]
APL-drv_missed_irq_hang-kern.log

I'm reproducing the failure on APL

Platform: Broxton P A0 Platform 
CPU Name : Intel(R) @ 1.2 GHz (family: 6, model: 92, stepping: 8) – 4 cores
SoC : BROXTON-P A0
QDF : QYE2
CRB : Apollo Lake RVPC1 Fab1
Mandatory Reworks : R14 , R06C and R16
Software 
Bios: APLKRVPA.X64.0116.R20.1512211905
KSC: 1.05
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.6.0 d381724 from http://cgit.freedesktop.org/drm-intel/
	commit d3817246ca053dd3e7ea8017db4a74707f8195a2
	Author: Jani Nikula <jani.nikula@intel.com>
	Date:   Mon May 16 15:14:24 2016 +0300
	drm-intel-nightly: 2016y-05m-16d-12h-14m-04s UTC integration manifest
drm: libdrm-2.4.68 7aab852 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-11.1.2 7bcd827 from git://anongit.freedesktop.org/mesa/mesa
cairo: 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
DMC 1.07
intel-gpu-tools 1.14 b88bce4 from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git
Comment 33 cprigent 2016-05-17 10:57:51 UTC
Created attachment 123822 [details]
APL-output-drv_missed_irq_hang
Comment 34 Humberto Israel Perez Rodriguez 2016-05-18 02:47:15 UTC
The following tests cases fail under the following configuration on BXT-P

tests cases
================================================================
igt@drv_missed_irq_hang

by itself the test does not produce any output than

Interrupts masked
Interrupts unmasked
Cleared missed interrupts

but running with run-test.sh it shows as fail


Hardware configuration
================================================================
Platform     BXT - P (APL)
Motherboard model  Apollo Lake
Motherboard type    NOTEBOOK Hand Held
Motherboard manufacturer Intel Corp.
CPU family   Other
CPU information    06/5c
GPU Card     Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])
Memory ram   8 GB


gfx user space
================================================================
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.68 
	 commit : fc09c5a 
	 author : Kenneth Graunke <kenneth@whitecape.org> 
	 age : 2 weeks ago 
 --> Component : mesa 
	 url : http://cgit.freedesktop.org/mesa/mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
	 author : Emil Velikov <emil.velikov@collabora.com> 
	 age : 3 months ago 
 --> Component : xf86-video-intel 
	 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
	 tag : 2.99.917-645-g88733a7 
	 commit : 88733a7 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 7 days ago 
 --> Component : libva 
	 url : http://cgit.freedesktop.org/libva/ 
	 tag : libva-1.7.0-2-g4cb6d78 
	 commit : 4cb6d78 
	 author : Alan Coopersmith <alan.coopersmith@oracle.com> 
	 age : 5 weeks ago 
 --> Component : vaapi (intel-driver) 
	 url : http://cgit.freedesktop.org/vaapi/intel-driver 
	 tag : 1.7.0-12-g4643f94 
	 commit : 4643f94 
	 author : peng.chen <peng.c.chen@intel.com> 
	 age : 3 weeks ago 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
	 author : Bryce Harrington <bryce@osg.samsung.com> 
	 age : 5 months ago 
 --> Component : xserver 
	 url :  http://cgit.freedesktop.org/xorg/xserver 
	 tag : xorg-server-1.18.0-317-g7f04946 
	 commit : 7f04946 
	 author : Dave Airlie <airlied@redhat.com> 
	 age : 9 days ago 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-212-g1e9a3ac 
	 commit : 1e9a3ac 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 3 weeks ago 


kernel
====================================================================
commit 447f2438e5ee3e9bb7d5cbe88fc44cdff74cc165
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sun May 8 18:21:27 2016 +0200

    drm-intel-nightly: 2016y-05m-08d-16h-21m-00s UTC integration manifest


Kernel version : 4.6.0-rc6
Architecture : source amd64 all
Homepage : http://www.kernel.org/
Comment 35 cprigent 2016-05-27 13:30:49 UTC
Assigned to Kimmo to have a look to this bug.
Comment 36 Humberto Israel Perez Rodriguez 2016-05-27 22:02:24 UTC
the igt@drv_missed_irq_hang fail on APL with the following configuration


Gfx stack information
===============================================
--> Component : drm 
                 tag : libdrm-2.4.68-4-g7aab852 
                 commit : 7aab852 
 --> Component : mesa 
                 tag : mesa-11.1.2 
                 commit : 7bcd827 
 --> Component : cairo 
                 tag : 1.15.2 
                 commit : db8a7f1 
 --> Component : intel-gpu-tools
                tag : intel-gpu-tools-1.14-346-gcce2ff0
                commit : cce2ff0


Software information
===============================================
Kernel version                      : 4.6.0-rc7-drm-intel-nightly-ww20-commit-5528ede+
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Bios revision                       : 138.25
KSC revision                        : 1.12
DMC revision                        : 1.07
GUC revision                        : 8.7


Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : B1
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])


kernel
===============================================
commit 2ec823981d62c56d1511bda42b8295e31ece800f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sun May 22 18:23:13 2016 +0200

    drm-intel-nightly: 2016y-05m-22d-16h-22m-45s UTC integration manifest
Comment 37 cprigent 2016-06-01 09:10:28 UTC
Pass on KBL-U

kernel drm-intel-nightly 4.6.0 2ec8239 from http://cgit.freedesktop.org/drm-intel/
	commit 2ec823981d62c56d1511bda42b8295e31ece800f
             Author: Daniel Vetter <daniel.vetter@ffwll.ch>
             Date:   Sun May 22 18:23:13 2016 +0200
            drm-intel-nightly: 2016y-05m-22d-16h-22m-45s UTC integration manifest
drm: libdrm-2.4.67 ea78c17 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-11.1.2 7bcd827 from git://anongit.freedesktop.org/mesa/mesa
cairo: 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
IGT 1.14 04b8f0e from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git

Let's confirm on the others platforms before closing it.
Comment 38 Humberto Israel Perez Rodriguez 2016-06-03 16:54:21 UTC
The following test cases are fail with the following configuration :


Test cases
===============================================
igt@drv_missed_irq_hang


Gfx stack information
===============================================
--> Component : drm 
	 tag : libdrm-2.4.68 
	 commit : fc09c5a 
--> Component : cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
--> Component : intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-348-g303b380 
	 commit : 303b380 
 
Software information
===============================================
Kernel version                      : 4.6.0-drm-intel-nightly-ww23-commit-fb023a2+
Linux distribution                  : Ubuntu 16.04
Architecture                        : 64-bit
Bios revision                       : 138.25
KSC revision                        : 1.12
DMC revision                        : 1.07

Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : B1
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])

kernel
===============================================
commit fb023a2062df06c9e097e1f8f2bcf252194b9413
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon May 30 10:46:14 2016 +0200

    drm-intel-nightly: 2016y-05m-30d-08h-45m-53s UTC integration manifest
Comment 39 maria guadalupe 2016-06-06 22:08:54 UTC
This bug was also reproduced on KBL under the following configuration

Software information
============================================
Kernel version                  : 4.6.0-drm-intel-nightly-ww23-commit-fb023a2+
Linux distribution              : Ubuntu 16.04 LTS
Architecture                    : 64-bit
Mesa version                    : Not found << Please see the message at the bottom >>
xf86-video-intel version        : 2.99.917
Xorg-Xserver version            : 1.18.3
DRM version                     : 2.4.68
VAAPI version                   : Intel i965 driver for Intel(R) Kabylake - 1.7.0
Cairo version                   : 1.15.2
Intel GPU Tools version         : Tag [intel-gpu-tools-1.14-348-g303b380] / Commit [303b380]
Kernel driver in use            : i915
Hardware acceleration           :
Bios revision                   : 28.1
KSC revision                    : 1.15


 Hardware information
============================================
Platform                        : SKL-Y to KBL (RVP3)
Motherboard model               : Kabylake Client platform
Motherboard type                : Skylake Y LPDDR3 RVP3 Laptop
Motherboard manufacturer        : Intel Corporation
CPU family                      : Other
CPU information                 : Genuine Intel(R) CPU 0000 @ 0.90GHz
GPU Card                        : Intel Corporation Device 591e (prog-if 00 [VGA controller])
Memory ram                      : 4 GB
Maximum memory ram allowed      : 16 GB
Display resolution              :
CPU's number                    : 4
Hard drive Capacity             : 120 GB

 Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.1

kernel configuration
=====================
commit fb023a2062df06c9e097e1f8f2bcf252194b9413
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon May 30 10:46:14 2016 +0200

drm-intel-nightly: 2016y-05m-30d-08h-45m-53s UTC integration manifest


Kernel version : 4.6.0

========== test cases failed ===============

igt@drv_missed_irq_hang
Comment 40 Mika Kuoppala 2016-06-13 13:22:05 UTC
Created attachment 124501 [details] [review]
[PATCH] tests/drv_missed_irq_hang: Fix gem_blt path
Comment 41 cprigent 2016-06-17 11:46:44 UTC
I confirm the test is Pass on KBL-U with the patch applied

cd intel-gpu-tools/tests
# ./drv_missed_irq_hang
Interrupts masked
Interrupts unmasked
Cleared missed interrupts
# echo $?
0

Tested with:
intel-gpu-tools-1.15 bc570aa from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git
with patch "[PATCH 1/1] tests/drv_missed_irq_hang: Fix gem_blt path" applied
Comment 42 Chris Wilson 2016-06-17 18:28:36 UTC
commit 001d665080c1be7d8fe97b557d7b6102175956b7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 17 15:19:44 2016 +0100

    igt: Replace drv_missed_irq_hang script with a C-equivalent

avoids the issue of the disappearing binary, and should be more robust. In the future, it will be more complete...
Comment 43 Humberto Israel Perez Rodriguez 2016-06-19 17:57:44 UTC
if we test this manually it pass, but run-tests.sh shows as fail

kernel : 4.6.1 from http://www.kernel.org/
Graphic stack
--> Component : drm 
         tag : libdrm-2.4.68 
         commit : fc09c5a 
--> Component : mesa 
         tag : mesa-11.2.2 
         commit : 3a9f628 
--> Component : cairo 
         tag : 1.15.2 
         commit : db8a7f1 
--> Component : intel-gpu-tools 
         tag : intel-gpu-tools-1.15 
         commit : 3ce58b6 
Software information
===============================================
Linux distribution                  : Ubuntu 16.04
Architecture                        : 64-bit
Bios revision                       : 138.25
KSC revision                        : 1.12
DMC revision                        : 1.07

Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : B1
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Comment 44 mwa 2016-06-21 11:12:22 UTC
Hi Humberto,

Running the raw test or using run-tests.sh works just fine for me. What exactly is the error you are seeing here, something in dmesg or is the script having trouble finding the test? You don't by any chance still have remnants of 'drv_missed_irq_hang' still left in your test-list.txt? In which case please run make clean and retest. Thanks!
Comment 45 Rami 2016-06-24 13:40:57 UTC
Test is pass with last setup on BXT:

Platform: Broxton P B1 Platform 
CPU Name : Intel(R) @ 1.1 GHz (family: 6, model: 12, stepping: 9) – 4 cores
SoC : BROXTON-P B1
CRB : Apollo Lake RVPa1 Fab2
Bios:APLKRVPA.X64.0138.B25.1606130640 date: 06/13/2016
KSC: 1.15
Microcode revesion: c
Rework:R19 R20

drm:
  url: git://git.freedesktop.org/git/mesa/drm
  commit: 625d1810ad1f61dd4f4b2b2ee7e5cc67e1fdc2f1
mesa:
  url: git://git.freedesktop.org/git/mesa/mesa
  commit: 7bcd827806b0816d61122ba3d37dd40178d96d98
cairo:
  url: git://anongit.freedesktop.org/cairo
  commit: db8a7f1697c49ae4942d2aa49eed52dd73dd9c7a
xorg-server-macros:
  url: git://git.freedesktop.org/git/xorg/util/macros
  commit: d7acec2d3a3abe79814ceb72e2c0d4d95ed31d37
xserver:
  url: git://git.freedesktop.org/git/xorg/xserver
  commit: 2d6230e77348e550c90e00c007b113ce38c81d12

xf86-video-intel:
  url: git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
  branch: master
  commit: b617f80ca5d386c1c248bab64276a9f283173a21

libva:
  url: git://git.freedesktop.org/git/vaapi/libva
  commit: aa8df4c3d10d0609ffac235ffdc76c5e05763a23
 
vaapi-intel-driver:
  url: git://git.freedesktop.org/git/vaapi/intel-driver
  commit: bf387bbdde4fa1a419d19d7c606e9ba94e07e24e

intel-gpu-tool:
tag: intel-gpu-tools-1.15-29-gc344044
  commit: c344044ab681566d36a49a0456666a32bac3419a
Comment 46 Chris Wilson 2016-06-24 14:17:47 UTC
Let's regard this as closed, and open a fresh bug should one occur in future.
Comment 47 cprigent 2016-07-28 09:45:55 UTC
One bug opened: bug 97104


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.